### Hierarchy

- unknown
  - WithdrawFundsRequest

## Index

### Constructors

- constructor

### Methods

- getAddress
- getMemo
- getTradeId
- serializeBinary
- setAddress
- setMemo
- setTradeId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new WithdrawFundsRequest(): WithdrawFundsRequest

- Inherited from jspb.Message.constructor

  #### Returns WithdrawFundsRequest

## Methods

### getAddress

- getAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2503

  #### Returns string

### getMemo

- getMemo(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2506

  #### Returns string

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2500

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2509

  #### Returns Uint8Array

### setAddress

- setAddress(value: string): WithdrawFundsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2504

  #### Parameters

  - ##### value: string

  #### Returns WithdrawFundsRequest

### setMemo

- setMemo(value: string): WithdrawFundsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2507

  #### Parameters

  - ##### value: string

  #### Returns WithdrawFundsRequest

### setTradeId

- setTradeId(value: string): WithdrawFundsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2501

  #### Parameters

  - ##### value: string

  #### Returns WithdrawFundsRequest

### toObject

- toObject(includeInstance?: boolean): WithdrawFundsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2510

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns WithdrawFundsRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): WithdrawFundsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2513

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns WithdrawFundsRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: WithdrawFundsRequest, reader: BinaryReader): WithdrawFundsRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2514

  #### Parameters

  - ##### message: WithdrawFundsRequest

  - ##### reader: BinaryReader

  #### Returns WithdrawFundsRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: WithdrawFundsRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2512

  #### Parameters

  - ##### message: WithdrawFundsRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: WithdrawFundsRequest ): WithdrawFundsRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2511

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: WithdrawFundsRequest

  #### Returns WithdrawFundsRequest . AsObject

Generated using TypeDoc